Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.utils
Class UnsyncBufferedOutputStream

    java.lang.Object
      java.io.OutputStream
          org.apache.xml.security.utils.UnsyncBufferedOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    public class UnsyncBufferedOutputStream

extends java.io.OutputStream

A class that buffers without synchronizing its methods

Author:
  raul

Constructor Summary
`UnsyncBufferedOutputStream(java.io.OutputStream out)` Creates a buffered output stream without synchronization

Method Summary
`void` | `close()`
`void` | `flush()`
`void` | `write(byte[] arg0)`
`void` | `write(byte[] arg0, int arg1, int len)`
`void` | `write(int arg0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnsyncBufferedOutputStream

    public UnsyncBufferedOutputStream(java.io.OutputStream out)

  Creates a buffered output stream without synchronization

  Parameters:
    `out` - the outputstream to buffer

Method Detail

### write

    public void write(byte[] arg0)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] arg0,
                      int arg1,
                      int len)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(int arg0)
               throws java.io.IOException

  Specified by:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Specified by:
    `flush` in interface `java.io.Flushable`
  Overrides:
    `flush` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD